Bug 669226 - Remove Legacy Build System
Summary: Remove Legacy Build System
Keywords:
Status: CLOSED EOL
Alias: None
Product: Dogtag Certificate System
Classification: Retired
Component: Build
Version: 9.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ---
Assignee: Matthew Harmsen
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks: 688231 Dogtag9.0
TreeView+ depends on / blocked
 
Reported: 2011-01-12 22:16 UTC by Matthew Harmsen
Modified: 2020-03-27 19:08 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-27 19:08:22 UTC


Attachments (Terms of Use)
Ant and Autoconf directory and file removal (list) (5.10 KB, patch)
2011-07-13 21:33 UTC, Matthew Harmsen
no flags Details | Diff
Ant and Autoconf directory and file removal (diffs) (20.95 KB, patch)
2011-07-13 21:34 UTC, Matthew Harmsen
no flags Details | Diff
Ant and Autoconf directory and file removal (list) (5.14 KB, patch)
2011-07-13 21:54 UTC, Matthew Harmsen
awnuk: review+
Details | Diff
Ant and Autoconf directory and file removal (diffs) (22.59 KB, patch)
2011-07-13 21:55 UTC, Matthew Harmsen
awnuk: review+
Details | Diff

Description Matthew Harmsen 2011-01-12 22:16:05 UTC
Since the "CMake" build system has been implemented, it is appropriate to CLEANUP all legacy build artifacts from the TIP including:

    * pki/README                    change the contents of this file

    * pki/base/config/              remove entire directory
    * pki/base/manage/              remove entire directory??? (deprecated)
    * pki/base/osutil/              remove entire directory (osutil GIT repo)
    * pki/base/scripts/*            cleanup the directory contents (as needed)
    * pki/base/*/build.xml          remove these files
    * pki/base/*/config/            remove these SVN external properties 

    * pki/dogtag/ca/                remove entire directory
    * pki/dogtag/common/            remove entire directory
    * pki/dogtag/config-ext/        remove entire directory
    * pki/dogtag/console/           remove entire directory
    * pki/dogtag/java-tools/        remove entire directory
    * pki/dogtag/kra/               remove entire directory
    * pki/dogtag/manage/            remove entire directory
    * pki/dogtag/meta/              remove entire directory
    * pki/dogtag/migrate/           remove entire directory
    * pki/dogtag/native-tools/      remove entire directory
    * pki/dogtag/ocsp/              remove entire directory
    * pki/dogtag/osutil/            remove entire directory
    * pki/dogtag/ra/                remove entire directory
    * pki/dogtag/scripts/*          cleanup the directory contents (as needed)
    * pki/dogtag/selinux/           remove entire directory
    * pki/dogtag/setup/             remove entire directory
    * pki/dogtag/silent/            remove entire directory
    * pki/dogtag/symkey/            remove entire directory
    * pki/dogtag/tks/               remove entire directory
    * pki/dogtag/tps/               remove entire directory
    * pki/dogtag/util/              remove entire directory
    * pki/dogtag/*-ui/build.xml     remove these files
    * pki/dogtag/*-ui/build_dogtag  remove these files
    * pki/dogtag/*-ui/*.spec        remove these files
    * pki/dogtag/*-ui/config/       remove these SVN external properties
    * pki/dogtag/*-ui/config-ext/   remove these SVN external properties

    * pki/ipa                       remove entire directory

Comment 2 Matthew Harmsen 2011-07-13 00:50:53 UTC
# svn mkdir
svn+ssh://svn.fedorahosted.org/svn/pki/tags/DOGTAG_9_0_ANT_AUTOCONF_20110712

# svn copy
svn+ssh://svn.fedorahosted.org/svn/pki/trunk/pki
svn+ssh://svn.fedorahosted.org/svn/pki/tags/DOGTAG_9_0_ANT_AUTOCONF_20110712

Comment 3 Matthew Harmsen 2011-07-13 21:33:33 UTC
Created attachment 512749 [details]
Ant and Autoconf directory and file removal (list)

Comment 4 Matthew Harmsen 2011-07-13 21:34:07 UTC
Created attachment 512750 [details]
Ant and Autoconf directory and file removal (diffs)

Comment 6 Matthew Harmsen 2011-07-13 21:54:40 UTC
Created attachment 512752 [details]
Ant and Autoconf directory and file removal (list)

Comment 7 Matthew Harmsen 2011-07-13 21:55:16 UTC
Created attachment 512753 [details]
Ant and Autoconf directory and file removal (diffs)

Comment 8 Matthew Harmsen 2011-07-13 22:31:34 UTC
TIP:

# cd pki

# svn status | grep -v ^$ | grep -v ^P | grep -v ^X | grep -v ^?
M       scripts/compose_ipa_pki_theme_packages
M       scripts/compose_pki_kra_packages
M       scripts/compose_pki_tks_packages
M       scripts/compose_pki_console_packages
M       scripts/compose_pki_ra_packages
M       scripts/compose_pki_ocsp_packages
M       scripts/compose_pki_tps_packages
M       scripts/compose_dogtag_pki_theme_packages
M       scripts/compose_pki_core_packages
M       scripts/compose_pki_migrate_packages
M       README
D       dogtag/java-tools
 M      dogtag/ocsp-ui
!       dogtag/ocsp-ui/build_dogtag
!       dogtag/ocsp-ui/dogtag-pki-ocsp-ui.spec
!       dogtag/ocsp-ui/build.xml
D       dogtag/osutil
D       dogtag/symkey
 M      dogtag/tps-ui
!       dogtag/tps-ui/build_dogtag
!       dogtag/tps-ui/build.xml
!       dogtag/tps-ui/dogtag-pki-tps-ui.spec
D       dogtag/ca
D       dogtag/native-tools
D       dogtag/meta
D       dogtag/scripts/set_dogtag_SVN_external_properties
D       dogtag/scripts/dogtag_svn_external_properties_db
D       dogtag/selinux
D       dogtag/migrate
D       dogtag/manage
 M      dogtag/kra-ui
!       dogtag/kra-ui/build_dogtag
!       dogtag/kra-ui/dogtag-pki-kra-ui.spec
!       dogtag/kra-ui/build.xml
D       dogtag/common
 M      dogtag/ca-ui
D       dogtag/ca-ui/build_dogtag
D       dogtag/ca-ui/dogtag-pki-ca-ui.spec
D       dogtag/ca-ui/build.xml
D       dogtag/silent
D       dogtag/setup
D       dogtag/tks
D       dogtag/console
D       dogtag/ra
D       dogtag/config-ext
 M      dogtag/common-ui
!       dogtag/common-ui/dogtag-pki-common-ui.spec
!       dogtag/common-ui/build_dogtag
!       dogtag/common-ui/build.xml
D       dogtag/ocsp
D       dogtag/tps
 M      dogtag/tks-ui
!       dogtag/tks-ui/build_dogtag
!       dogtag/tks-ui/dogtag-pki-tks-ui.spec
!       dogtag/tks-ui/build.xml
D       dogtag/kra
 M      dogtag/console-ui
!       dogtag/console-ui/build_dogtag
!       dogtag/console-ui/dogtag-pki-console-ui.spec
!       dogtag/console-ui/build.xml
 M      dogtag/ra-ui
!       dogtag/ra-ui/build_dogtag
!       dogtag/ra-ui/dogtag-pki-ra-ui.spec
!       dogtag/ra-ui/build.xml
D       dogtag/util
D       ipa
 M      base/java-tools
M       base/java-tools/doc/README
D       base/java-tools/templates/pretty_print_crl_command_wrapper
D       base/java-tools/templates/pki_java_command_wrapper
A       base/java-tools/templates/pretty_print_cert_command_wrapper.in
A       base/java-tools/templates/pretty_print_crl_command_wrapper.in
M       base/java-tools/templates/CMakeLists.txt
D       base/java-tools/templates/pretty_print_cert_command_wrapper
D       base/java-tools/build.xml
D       base/osutil
 M      base/symkey
D       base/symkey/m4
D       base/symkey/configure
D       base/symkey/Makefile.in
D       base/symkey/depcomp
D       base/symkey/compile
D       base/symkey/config.guess
D       base/symkey/config.sub
D       base/symkey/ltmain.sh
D       base/symkey/build.xml
D       base/symkey/config.h.in
D       base/symkey/configure.ac
D       base/symkey/missing
D       base/symkey/Makefile.am
D       base/symkey/autogen.sh
D       base/symkey/setup_package
D       base/symkey/aclocal.m4
D       base/symkey/install-sh
 M      base/ca
D       base/ca/build.xml
 M      base/native-tools
D       base/native-tools/m4
D       base/native-tools/configure
D       base/native-tools/Makefile.in
M       base/native-tools/src/CMakeLists.txt
D       base/native-tools/depcomp
D       base/native-tools/compile
D       base/native-tools/config.guess
D       base/native-tools/config.sub
D       base/native-tools/ltmain.sh
D       base/native-tools/templates
D       base/native-tools/build.xml
D       base/native-tools/config.h.in
D       base/native-tools/configure.ac
D       base/native-tools/wrappers
D       base/native-tools/Makefile.am
D       base/native-tools/missing
D       base/native-tools/autogen.sh
D       base/native-tools/setup_package
D       base/native-tools/aclocal.m4
D       base/native-tools/install-sh
D       base/scripts/base_svn_external_properties_db
D       base/scripts/set_base_SVN_external_properties
 M      base/selinux
D       base/selinux/build.xml
 M      base/common
D       base/common/build.xml
D       base/manage
 M      base/migrate
D       base/migrate/build.xml
 M      base/silent
D       base/silent/build.xml
 M      base/setup
D       base/setup/build.xml
 M      base/tks
D       base/tks/build.xml
 M      base/console
D       base/console/build.xml
 M      base/ra
D       base/ra/logs
D       base/ra/alias
D       base/ra/build.xml
 M      base/ocsp
D       base/ocsp/build.xml
D       base/config
 M      base/tps
D       base/tps/m4
D       base/tps/configure
D       base/tps/Makefile.in
D       base/tps/depcomp
D       base/tps/compile
D       base/tps/config.guess
D       base/tps/config.sub
D       base/tps/ltmain.sh
D       base/tps/build.xml
D       base/tps/configure.ac
D       base/tps/logs
D       base/tps/setup_package
D       base/tps/autogen.sh
D       base/tps/alias
D       base/tps/config.h.in
D       base/tps/Makefile.am
D       base/tps/missing
D       base/tps/aclocal.m4
D       base/tps/install-sh
 M      base/kra
D       base/kra/build.xml
 M      base/util
D       base/util/build.xml
M       specs/dogtag-pki.spec
M       specs/pki-core.spec

# svn commit
Sending        README
Sending        base/ca
Deleting       base/ca/build.xml
Sending        base/common
Deleting       base/common/build.xml
Deleting       base/config
Sending        base/console
Deleting       base/console/build.xml
Sending        base/java-tools
Deleting       base/java-tools/build.xml
Sending        base/java-tools/doc/README
Sending        base/java-tools/templates/CMakeLists.txt
Deleting       base/java-tools/templates/pki_java_command_wrapper
Deleting       base/java-tools/templates/pretty_print_cert_command_wrapper
Adding         base/java-tools/templates/pretty_print_cert_command_wrapper.in
Deleting       base/java-tools/templates/pretty_print_crl_command_wrapper
Adding         base/java-tools/templates/pretty_print_crl_command_wrapper.in
Sending        base/kra
Deleting       base/kra/build.xml
Deleting       base/manage
Sending        base/migrate
Deleting       base/migrate/build.xml
Sending        base/native-tools
Deleting       base/native-tools/Makefile.am
Deleting       base/native-tools/Makefile.in
Deleting       base/native-tools/aclocal.m4
Deleting       base/native-tools/autogen.sh
Deleting       base/native-tools/build.xml
Deleting       base/native-tools/compile
Deleting       base/native-tools/config.guess
Deleting       base/native-tools/config.h.in
Deleting       base/native-tools/config.sub
Deleting       base/native-tools/configure
Deleting       base/native-tools/configure.ac
Deleting       base/native-tools/depcomp
Deleting       base/native-tools/install-sh
Deleting       base/native-tools/ltmain.sh
Deleting       base/native-tools/m4
Deleting       base/native-tools/missing
Deleting       base/native-tools/setup_package
Sending        base/native-tools/src/CMakeLists.txt
Deleting       base/native-tools/templates
Deleting       base/native-tools/wrappers
Sending        base/ocsp
Deleting       base/ocsp/build.xml
Deleting       base/osutil
Sending        base/ra
Deleting       base/ra/alias
Deleting       base/ra/build.xml
Deleting       base/ra/logs
Deleting       base/scripts/base_svn_external_properties_db
Deleting       base/scripts/set_base_SVN_external_properties
Sending        base/selinux
Deleting       base/selinux/build.xml
Sending        base/setup
Deleting       base/setup/build.xml
Sending        base/silent
Deleting       base/silent/build.xml
Sending        base/symkey
Deleting       base/symkey/Makefile.am
Deleting       base/symkey/Makefile.in
Deleting       base/symkey/aclocal.m4
Deleting       base/symkey/autogen.sh
Deleting       base/symkey/build.xml
Deleting       base/symkey/compile
Deleting       base/symkey/config.guess
Deleting       base/symkey/config.h.in
Deleting       base/symkey/config.sub
Deleting       base/symkey/configure
Deleting       base/symkey/configure.ac
Deleting       base/symkey/depcomp
Deleting       base/symkey/install-sh
Deleting       base/symkey/ltmain.sh
Deleting       base/symkey/m4
Deleting       base/symkey/missing
Deleting       base/symkey/setup_package
Sending        base/tks
Deleting       base/tks/build.xml
Sending        base/tps
Deleting       base/tps/Makefile.am
Deleting       base/tps/Makefile.in
Deleting       base/tps/aclocal.m4
Deleting       base/tps/alias
Deleting       base/tps/autogen.sh
Deleting       base/tps/build.xml
Deleting       base/tps/compile
Deleting       base/tps/config.guess
Deleting       base/tps/config.h.in
Deleting       base/tps/config.sub
Deleting       base/tps/configure
Deleting       base/tps/configure.ac
Deleting       base/tps/depcomp
Deleting       base/tps/install-sh
Deleting       base/tps/logs
Deleting       base/tps/ltmain.sh
Deleting       base/tps/m4
Deleting       base/tps/missing
Deleting       base/tps/setup_package
Sending        base/util
Deleting       base/util/build.xml
Deleting       dogtag/ca
Sending        dogtag/ca-ui
Deleting       dogtag/ca-ui/build.xml
Deleting       dogtag/ca-ui/build_dogtag
Deleting       dogtag/ca-ui/dogtag-pki-ca-ui.spec
Deleting       dogtag/common
Sending        dogtag/common-ui
Deleting       dogtag/config-ext
Deleting       dogtag/console
Sending        dogtag/console-ui
Deleting       dogtag/java-tools
Deleting       dogtag/kra
Sending        dogtag/kra-ui
Deleting       dogtag/manage
Deleting       dogtag/meta
Deleting       dogtag/migrate
Deleting       dogtag/native-tools
Deleting       dogtag/ocsp
Sending        dogtag/ocsp-ui
Deleting       dogtag/osutil
Deleting       dogtag/ra
Sending        dogtag/ra-ui
Deleting       dogtag/scripts/dogtag_svn_external_properties_db
Deleting       dogtag/scripts/set_dogtag_SVN_external_properties
Deleting       dogtag/selinux
Deleting       dogtag/setup
Deleting       dogtag/silent
Deleting       dogtag/symkey
Deleting       dogtag/tks
Sending        dogtag/tks-ui
Deleting       dogtag/tps
Sending        dogtag/tps-ui
Deleting       dogtag/util
Deleting       ipa
Sending        scripts/compose_dogtag_pki_theme_packages
Sending        scripts/compose_ipa_pki_theme_packages
Sending        scripts/compose_pki_console_packages
Sending        scripts/compose_pki_core_packages
Sending        scripts/compose_pki_kra_packages
Sending        scripts/compose_pki_migrate_packages
Sending        scripts/compose_pki_ocsp_packages
Sending        scripts/compose_pki_ra_packages
Sending        scripts/compose_pki_tks_packages
Sending        scripts/compose_pki_tps_packages
Sending        specs/dogtag-pki.spec
Sending        specs/pki-core.spec
Transmitting file data ..................
Committed revision 2057.


Note You need to log in before you can comment on or make changes to this bug.